catalog:
  title: Kogniconfig

templates:
- freestyle
- base

variables:
  keywords:
  - config
  - xml
  - kognihome
  access: private

  repository: https://synergy.cit-ec.de/git/kognihome.kogniconfig.git
  scm.credentials: synergy.cit-ec
  branches:
  - master
  - '0.1'
  - study1505
  - '0.2'
  - door-0.1
  - mirror-0.1
  - chef-0.4
  - csra
  - csra-kitchen
  extra-requires:
  - nature: pkg-config
    target: ICL-9.5
  - nature: cmake
    target: RSB
  - nature: cmake
    target: RSC
  - nature: cmake
    target: RST
  - nature: cmake
    target: yaml

  shell.environment:
  - QT_SELECT=5
  - prefix="${toolkit.dir}"
  - INSTALL_PREFIX="${toolkit.dir}"
  - QUIET=FALSE
  - DEBUG=FALSE
  - '@{next-value|[]}'

  shell.command: |
    ${next-value}
    make all
    make install
